Just like you, we are enthusiastic builders and we love to automate things. At Aircall, we are building the next-gen business phone system and we know that one of the best ways to do that is to give you the ability to have the hands on Aircall features.

Aircall Developer

We are maintaining a Public API. This service allows any developers to retrieve and manage Aircall data with HTTP requests.

We are also supporting Webhooks. We can call back any endpoint of your choice, each time an event occurs on an Aircall account (contact added, call created, user switched off... see the Webhooks section for a complete list). Webhooks provide great scalability to your application and only requires setting up a public web server!

Want to see an example of how easy it is to connect with Aircall Public API and Webhooks? Take a look at our tutorials!

Our Engineering team is on Twitter, follow them @aircalltech!

Check the Changelog if you've already implemented something based on previous versions of this documentation.

By visiting or using this developers website, you agree to be bound by Aircall’s API License Agreement

Not a Developer?

Install one of many integrations built by our partners in our Marketplace!

×

as

×

Subscribe to updates

Please subscribe to stay updated with the latest API and webhook updates.



REST API

Aircall Public API is a classic REST API. It can be used with any programming languages and offers a fast, reliable and secure access to an Aircall account information.

The root endpoint of Aircall Public API is https://api.aircall.io/v1.

Please note that only HTTPS requests are valid as requests will communicate over SSL connection.

Each Public API request must be authenticated and should not exceed the rate limit, please check the Authentication and the rate limiting sections before jumping in our documentation!

Request
GET https://api.aircall.io
Response
{ "resource": "Aircall Documentation", "contact": "support@aircall.io" }

Authentication

Introduction

With Aircall Public API, Authentication can be done through OAuth or Basic Auth.

If you want to build an App for companies using Aircall - this is mainly the case for Technology Partners - please use the OAuth flow. It is a requirement to be listed on the Aircall App Marketplace. You can create a partner-specific account by signing up here!

If you are an Aircall customer, building for your own Aircall account only, the Basic Auth flow will do the trick.

All endpoints behave similarly between the two authentication methods, unless indicated otherwise in the documentation.

OAuth ﹣ Technology Partners

Aircall built a powerful Ecosystem of apps, providing its customers an easy way to enhance their voice experience.

In Aircall, integrations are enabled at the Company level, which means they can only be set by an Admin user. It is possible to configure several instances of an integration on one Aircall account.

Aircall implemented the OAuth 2.0 authentication protocol so you can easily build an app on top of Aircall and deploy it on Aircall's Marketplace.

Beyond the added security and scalability, the Aircall OAuth flow will make your app visible to all customers in the Aircall Dashboard and provide a simple way for customers to install your app from Aircall or from your own website.

Want to know every secret about OAuth? Read the official documentation RFC 6750!

    Oauth terminology
  • install_uri
    String
    Aircall fetches the install_uri URI when starting the OAuth flow. This step is often used to display a Settings page, instructions on how to use the app or any useful information for the Admin.
    It must eventually forward to https://dashboard.aircall.io/oauth/authorize with client_id, redirect_uri, response_type=code and scope=public_api query params. See Step 3 of the OAuth flow.
    Must use HTTPS.
  • redirect_uri
    String
    Aircall sends the Admin's authorization code to the redirect_uri URI, once they authorized the app, or the error if any.
    Must use HTTPS.
  • client_id
    String
    Used in both the [DASHBOARD] /oauth/authorize and [API] /v1/oauth/token request.
    Provided by Aircall.
  • client_secret
    String
    Used in the request body of [API] /v1/oauth/token.
    Provided by Aircall.
  • code
    String
    An authentication code provided by Aircall valid for 10min.
    Must be converted in an access_token (see this endpoint).
  • access_token
    String
    Token used to send requests to Aircall Public API as a Company.
    More info on how to use it here.
  • state
    String
    An optional string value created by your app to maintain state between the request and callback. This parameter should be used for preventing Cross-site Request Forgery and will be passed back to you, unchanged, in your redirect_uri.




OAuth credentials

Before starting building the OAuth flow for your app, you will need to get OAuth client_id and client_secret from Aircall. Click the start building button on top of the page and fill in the form. We will get back to you shortly.

When signing up, an install_uri and a redirect_uri will be asked, make sure you have them ready. Read the OAuth flow first to understand what they are!



OAuth flow

Aircall OAuth flow

  1. Aircall ﹣ When an Admin installs an App, a popup opens up and loads the install_uri URL.
  2. Partner ﹣ A Web server receives the GET request on the install_uri route. This step is often used to display a custom Settings page, instructions on how to use the app and/or any useful information for the Admin.
  3. Partner ﹣ Once Step 2 is done, Web server redirects/forwards the request to the following Aircall URL: https://dashboard.aircall.io/oauth/authorize?client_id=XX&redirect_uri=YY&response_type=code&scope=public_api&state=ZZ
  4. Aircall ﹣ Aircall then displays the authorization window. Only users who are Admins will be able to see this window, others will be redirected to the Download page. Once the Admin consented to the permissions the app is requesting (scope=public_api), Aircall loads the redirect_uri URL with a code parameter.
  5. Partner ﹣ Web server receives the GET request on the redirect_uri route with the code query param…
  6. Partner ﹣ …and sends a [POST] https://api.aircall.io/v1/oauth/token request to Aircall's Public API with the proper body params (see here).
  7. Aircall ﹣ Aircall authenticates the [POST] request, create an access_token and sends it back to the Web server.
  8. Partner ﹣ Web server stores the access_token for further use!

Start the instructions at Step 3 if you want to trigger the install flow directly from your interface and not from the Aircall Dashboard. Integrations can only be installed by users who are Admins on Aircall!

Check out our Ruby example app on Github to better understand how to implement the Aircall OAuth flow!



Get an access_token via the Public API

Once you get an OAuth authorization code from the OAuth flow, you need to convert it into a Public API access_token with the following request.

This access_token will then be used as a Bearer token in the Authorization header of each Public API requests you will make and does not expire.

    Body params
  • client_id
    String
    The client_id provided by Aircall. More information in the Oauth credentials section.
    Mandatory field.
  • client_secret
    String
    The client_secret provided by Aircall. More information in the Oauth credentials section.
    Mandatory field.
  • code
    String
    The OAuth authorization code Aircall sent back to your server.
    Mandatory field.
  • redirect_uri
    String
    Your redirect_uri.
    Mandatory field.
  • grant_type
    String
    Must be authorization_code.
    Mandatory field.
Request
POST https://api.aircall.io/v1/oauth/token { "client_id": YOUR_AIRCALL_CLIENT_ID, "client_secret": YOUR_AIRCALL_CLIENT_SECRET, "code": TMP_AUTHORIZATION_CODE, "redirect_uri": YOUR_REDIRECT_URI, "grant_type": "authorization_code" }
Response
Status: 200 OK { "access_token": "2d492d492d492d492d492d492d492d", "token_type": "Bearer", "created_at": 1585868617 }

Test the access_token

A /v1/ping endpoint is available to test the access_token retrieved via the Public API (as described here).

The access_token must be used in the Authorization HTTP header of your request, as a Bearer token.

Request
curl -X GET https://api.aircall.io/v1/ping \ -H "Authorization: Bearer {YOUR_ACCESS_TOKEN}"
Response
Status: 200 OK { "ping": "pong" }

Basic Auth ﹣ Aircall customers

As an Aircall customer, an api_id and api_token are needed to use Aircall Public API: go to your Company's Settings page. In the API Keys section, click on Add a new API key and get your api_token and api_token.

Do not forget to copy/paste your api_token somewhere safe, we won't be able to retrieve it for you as Aircall does not store it in plain text!

If you are building an App for several companies using Aircall, please refer to the OAuth section.

Aircall Basic auth

Public API requests must be authenticated using HTTP Basic Authentication. The api_id is the username and the api_token is the password for each Public API requests.


The Authorization HTTP header is constructed as follows:

  1. The api_id and api_token are concatenated with a single colon :.
  2. The resulting string is encoded using Base64.
  3. The authorization header results in Authorization: Basic YOUR_ENCODED_STRING.

Always prefer Base64 encoding in the Authorization HTTP header rather than the following: https://api_id:api_token@api.aircall.io.
It is not recommended to authenticate requests passing the api_id and api_token in the URL for security reasons and as some programming languages and platforms do not support it!

Request
curl -X GET https://api.aircall.io/v1/ping \ -H "Authorization: Basic {YOUR_ENCODED_STRING}"
Response
Status: 200 OK { "ping": "pong" }

Rate limiting

Aircall limits the number of requests to its Public API to 120 requests per minute per company. The following headers are available in API headers' responses when the rate limit has been reached, giving more insight on your API usage:

header description
X-AircallApi-Limit Limit of requests for the API key used.
X-AircallApi-Remaining Remaining requests for this API key.
X-AircallApi-Reset Timestamp when the counter will be reset.

Contact us on support.aircall.io if you need to make more requests per minute, we will add a higher rate limit to your API keys!

Pagination

When retrieving a list of objects with a [GET] request, results are being paginated by Aircall.

Pagination information will be presented in the meta object, available in the payload body and described below.

    The meta object
  • count
    Integer
    Count of items present in the current page.
  • total
    Integer
    Count of items in total, according to search params.
  • current_page
    Integer
    Current page number.
  • per_page
    Integer
    Number of results retrieved per page.
    Default is 20. Minimum is 1, maximum is 50.
  • next_page_link
    String
    URL to follow to go to the next page results.
    Can be null.
  • previous_page_link
    String
    URL to follow to go to the previous page results.
    Can be null.

The two following attributes can be set in any URL query params to navigate from one page to the other:

    Query params
  • page
    Integer
    Current page.
    Default is 1.
  • per_page
    Integer
    Number of results retrieved per page
    Default is 20.

Calls and Contacts are limited to 10,000 items, even with pagination on. To pass over this limit, we encourage you to use the from param as much as you can!

Response
{ "meta": { "count": 20, "total": 2234, "current_page": 1, "per_page": 20, "next_page_link": "https://api.aircall.io/v1/calls?page=2&per_page=20", "previous_page_link": null }, ... }

Errors

Aircall uses standard HTTP response codes to indicate the success or failure of an API request:

  • 2xx codes indicate success
  • 4xx codes indicate an error that failed given the information provided
  • 5xx codes indicate an error with Aircall's servers

Application error responses include an error title and a human-readable troubleshoot description. They also include message, an errors array, and success: false. Requests rejected at the API gateway before they reach an application, such as invalid credentials, can return a shorter gateway error.

For Outbound Campaigns, message is the machine-readable code to use for specific handling. A recognised domain error uses a semantic code such as INVALID_STATUS_TRANSITION or OUTCOME_IN_USE; otherwise it falls back to the HTTP status constant such as BAD_REQUEST or UNPROCESSABLE_ENTITY. errors[].detail always keeps that status-level constant for broad HTTP categorisation. Internal shared-library codes, including numeric codes, are never exposed.

More detailed HTTP response codes are provided in each endpoint's documentation.

Response
{ "error": "Unprocessable Entity", "message": "INVALID_STATUS_TRANSITION", "errors": [ { "status": 422, "title": "Unprocessable Entity", "detail": "UNPROCESSABLE_ENTITY" } ], "troubleshoot": "Cannot transition campaign from \"completed\" to \"in_progress\"", "success": false }
code description
200 OK - The request has succeeded.
201 Created - The request has been fulfilled and has resulted in one or more new resources being created.
204 No Content - Server has successfully fulfilled the request, no additional content sent in the response payload body.
400 Bad Request - Server cannot process the request due to something that is perceived to be a client error.
403 Forbidden - Lack of valid authentication credentials for the target resource.
404 Not Found - Server did not find the target resource.
405 Method Not Allowed - The method is known by the server but not supported.
409 Conflict - The resource changed concurrently or otherwise conflicts with the requested operation.
413 Payload Too Large - The request exceeds the allowed payload size.
415 Unsupported Media Type - The request uses an unsupported content type.
422 Unprocessable Entity - The request is valid, but the resource's current state does not allow the operation.
429 Too Many Requests - The request exceeded a rate limit.
500 Internal Server Error - Server encountered an unexpected condition.
503 Service Unavailable - A required service is temporarily unavailable.

Versioning

Versioning Strategy

Aircall APIs and Webhooks are versioned to allow for continuous evolution and improvement while maintaining backward compatibility for existing integrations. API versions are indicated in the URL path. The webhook event names are now suffixed with “v2”.

For APIs, Aircall uses URL-based versioning, where the API version is included directly in the endpoint path. For example:

  • Version 1 endpoints: /v1/users, /v1/calls, etc.

  • Version 2 endpoints: /v2/users, etc.

For Webhook events, the version number is suffixed in the event name. For example:

  • Version 1 webhook event: user.connected

  • Version 2 webhook event: user.connected.v2

As of now, v2 of user APIs and webhook events is available

Content-Type

Every POST, PUT and DELETE HTTP request sent to Aircall Public API must specify the Content-Type entity header to application/json.

Request
HTTP headers: { "Content-Type": "application/json" }

Announcements

Please refer to this section for announcements related to deprecation or changes as well as availability of new APIs and Webhooks.

Title Description Changes effective from Impacted/New Endpoints Deprecation/Last Change Date
New WhatsApp username message webhook events Three new webhook events describe sent messages, received messages, and delivery status updates for WhatsApp conversations identified by a BSUID. These events are available for subscription. See WhatsApp username message for payload fields and routing behavior. 13-10-2026 whatsapp_username_message.sent
whatsapp_username_message.received
whatsapp_username_message.status_updated
N/A
New AI Messaging Agent webhook events Two new Webhook events for AI Messaging Agent: ai_messaging_agent.escalated and ai_messaging_agent.de_escalated. Subscribe to know when a conversation needs a human teammate's attention and when that escalation has been resolved. 30-09-2026 ai_messaging_agent.escalated
ai_messaging_agent.de_escalated
N/A
New Outbound Campaign Webhook events Two new Webhook events for Campaigns: outbound_campaign.outcome_recorded and outbound_campaign.status_changed. Subscribe to react to campaign lifecycle changes and call outcomes without polling. 17-09-2026 outbound_campaign.outcome_recorded
outbound_campaign.status_changed
N/A
New Conversation Intelligence - Trackers Endpoints Two new endpoints are available to use Conversation Trackers capabilities via API:
  • GET /v1/trackers - List all Trackers configured for your company.
  • GET /v1/trackers/:tracker_id - Retrieve a Tracker and the calls currently matching its filters.
Requires the AI Assist or AI Assist Pro package.
08-09-2026 List all Trackers
Retrieve a Tracker
N/A
New Campaigns API Outbound Campaigns are now available via the public API: Retrieve a Campaign, List all Campaigns, Retrieve Campaign statistics, and List Campaign call outcomes. An API token has company-wide access to Campaigns. See Outbound Campaigns for details. 17-09-2026 Retrieve a Campaign
List all Campaigns
Retrieve Campaign statistics
List Campaign call outcomes
N/A
New Campaigns API - lifecycle, assignment and outcome recording The Campaigns public API now supports creating, editing, deleting and moving a Campaign through its lifecycle (launch/pause/resume/archive), assigning Users and Teams to it, recording call outcomes, and reading its resolved agent ring, caller-id pool, contacts and dial queue. Launch requires a compliance acknowledgment that the caller has the right to dial the Campaign's contacts. Archive is irreversible, and a completed Campaign can only move to archived. See the Outbound Campaigns section for details. 17-09-2026 Create a Campaign
Update a Campaign
Delete a Campaign
Launch a Campaign
Pause a Campaign
Resume a Campaign
Archive a Campaign
Record a Campaign call outcome
List Campaign users
Assign users to a Campaign
Remove a user from a Campaign
List Campaign teams
Assign teams to a Campaign
Remove a team from a Campaign
List Campaign agents
List Campaign lines
List Campaign contacts
List Campaign queue items
N/A
New Campaign Outcomes API A new company-wide catalogue of custom call outcomes for Campaigns is now available via the public API: create, retrieve, list, update and delete a Campaign Outcome. This is the referent behind the outcome.id a custom outcome carries on List Campaign call outcomes. 17-09-2026 List all Campaign Outcomes
Create a Campaign Outcome
Retrieve a Campaign Outcome
Update a Campaign Outcome
Delete a Campaign Outcome
N/A
New Campaign Eligible Numbers API Discover which of your company's numbers are allowed as a Campaign caller ID via List Campaign eligible numbers - company-wide and Campaign-agnostic, the same access model as Campaign Outcome. Only numbers that pass outbound dialling compliance rules are returned. 17-09-2026 List Campaign eligible numbers N/A
New Duplicate Campaign endpoint Copy a Campaign's settings - name, retry policy, caller-ID strategy, assigned outcome catalogue, caller ID numbers, and User/Team assignment - into a new draft Campaign via Duplicate a Campaign. Contacts are not copied. 17-09-2026 Duplicate a Campaign N/A
New Campaign queue management endpoints Move a Campaign queue entry to the top/bottom or past a neighbour with Reorder a Campaign queue item, or defer/clear when it's due with Reschedule a Campaign queue item. Both endpoints require the queue entry to belong to the Campaign in the path; a wrong or nonexistent Campaign id returns 404. 17-09-2026 Reorder a Campaign queue item
Reschedule a Campaign queue item
N/A
AI Voice Agent Campaigns and Caller ID pools on the Campaigns API The new AIVA campaigns guide connects the creation, contact and launch rules for this Campaign variant. Create a Campaign accepts caller_id_numbers, so a Campaign using caller_id_strategy: "specific_number_pool" can be created with its Caller ID pool and launched in the same flow. Pick the numbers from List Campaign eligible numbers.

The same endpoint also creates AI Voice Agent Campaigns, via agent_type, aiva_agent_id and calling_hours, and the Campaign object now reports all three so you can tell the two kinds apart. Update a Campaign accepts caller_id_numbers and calling_hours.

Each agent type is a separate per-company entitlement.
17-09-2026 AIVA campaigns
Create a Campaign
Update a Campaign
Campaign
N/A
New synchronous Campaign contacts API Add 1-100 contacts to a Campaign and queue them for dialling in a single request, without the CSV upload round trip: Add Campaign contacts. Results align positionally with the request and carry a status plus a rejection reason when applicable. A 201 means at least one contact was queued; a 200 can mean every contact was rejected. Neither successful response has a success key. For larger volumes, continue to use the Campaign contact import flow.

The matching undo is Remove a Campaign contact, which takes one contact back out of the dial queue. A contact with no recorded attempts is deleted outright; a contact that has already been called leaves the queue, has its remaining retries cancelled, and keeps its latest known outcome when one exists.
17-09-2026 Add Campaign contacts
Remove a Campaign contact
N/A
New Campaign contact import API Load a CSV file of contacts into a Campaign: create an import and get a presigned upload target, poll its status, inspect per-row validation results, then promote the valid rows into the dial queue. For AIVA Campaigns, ordered field_mapping.variables pairs map CSV columns to every required agent context variable; see the worked example. 17-09-2026 Create a Campaign contact import
Retrieve a Campaign contact import
List Campaign contact import rows
Promote a Campaign contact import
N/A
New Conversation Intelligence - Predicted CSAT Endpoint Retrieve Predicted CSAT - Fetch Predicted CSAT score and drivers for a call via API. 06-07-2026 Retrieve Predicted CSAT
N/A
New Analytics Webhook Events Two new webhook events let you be notified when an Analytics report export finishes, removing the need to poll the retrieve endpoint:
  • analytics.report_created – Fired when an export job completes successfully. Payload includes the presigned download_url and its expiry.
  • analytics.report_failed – Fired when an export job fails. Payload includes error_code and error_message.
Pair with Create an Analytics Report Export to drop polling entirely.
26-05-2026 analytics.report_created
analytics.report_failed
N/A
New Analytics Report Export Endpoints Two new endpoints expose Aircall's analytics report exports via the public API. Reports are generated asynchronously: create an export job, poll for status, then download the CSV from a presigned URL.
  • Create an Analytics Report Export – Submit an asynchronous export job for one of 12 supported report types (CALLS_HISTORY, USER_STATUS_HISTORY, and ten USER_ACTIVITY_* variants). Supports both relative and absolute date ranges, plus a rich set of filters (teams, users, call direction/outcome, tags, AI Voice Agent interventions, and more).
  • Retrieve an Analytics Report Export – Poll an export job. When the job completes, the response includes a presigned, time-limited downloadUrl.
Requires the Analytics+ entitlement.
20-05-2026 Create an Analytics Report Export
Retrieve an Analytics Report Export
N/A
New WhatsApp Message Endpoints Four new endpoints are available for WhatsApp messaging via the public API: 15-05-2026 Send WhatsApp Message in Agent Conversation
Send WhatsApp Message Skipping Aircall Inbox
List WhatsApp Templates
Get WhatsApp Line Status
N/A
Trigger an Outbound Call endpoint A new endpoint is available to programmatically place outbound calls from an Outbound Voice Agent. External systems can trigger AI Voice Agent outbound calls for appointment reminders, billing follow-ups, surveys, lead qualification and similar workflows. The agent must be configured in the Aircall Dashboard with a phone number and first message before the endpoint can be used. 14-05-2026 Trigger an Outbound Call N/A
Mobile URL Schemes The Aircall mobile apps now support the aircall:// URL scheme, allowing third-party applications to initiate calls directly within the Aircall app by pre-filling the dialpad. 27-03-2026 Call (Android & iOS) N/A
Send Group Message endpoints Two new endpoints are available for group messages: 10-03-2026 Send Group Message
Send Group Message in agent conversation
N/A
New Group Message Webhook Events Three new Webhook group message events are now available:
  • group_message.sent - Triggered when a new group message is sent from an Aircall number to a group conversation.
  • group_message.received - Triggered when a new group message is received on an Aircall number from a group conversation.
  • group_message.status_updated - Triggered when the delivery status of a group message has been updated. One event is triggered per external participant in the group conversation.
04-03-2026 group_message.sent
group_message.received
group_message.status_updated
N/A
Deprecation of User V1 APIs and Events User V1 APIs for List all Users, Retrieve a User, Create a User and Update a User as well as User V1 events will be deprecated and replaced by User V2 APIs and Events. 25-02-2026 30-09-2026
Deprecation of realtime_transcription endpoint The realtime_transcription endpoint is in its deprecation phase. As the deadline is approaching, update/migrate to transcription endpoint as soon as possible, to avoid service disruption. 20-02-2026 realtime_transcription 31-03-2026
Updated Conversation Intelligence transcription endpoint transcription endpoint will support realtime mode to retrieve, at the end of the call, the content of the transcription generated for the agent during the call. 20-02-2026 transcription N/A
Deprecation of Aircall Everywhere SDK V1 The original SDK for the legacy Aircall Phone is in its deprecation phase. As the deadline is approaching, update/migrate to Aircall Everywhere SDK V2 as soon as possible, to avoid service disruption and access new features. 04-29-2025 CTI - Aircall Everywhere SDK V2 May 20th, 2026
Deprecation of number.closed and number.open Webhook Events With the transition from legacy routing to Smartflows, the availability status-based number state (open/closed) is no longer used. As a result, the number.closed and number.opened webhook events are deprecated and will not be triggered for numbers using Smartflows. These events have never been available for Smartflows numbers number.closed
number.opened
30-05-2025
Deprecation of Webhook property id The web hook id property has been replaced by the new property Webhook_id. Its recommended to use the same to retrieve, update and delete Webhooks. The property Webhook_id will be returned on creation of a Webhook 01-07-2023 Retrieve a Webhook
Update a Webhook
Delete a Webhook
15-04-2024
Deprecation of isAdmin Property during User Creation The isAdmin parameter is being deprecated from Create a User API and will no longer be available. To assign Admin role to a User please use the role_ids parameter in the API 01-01-2024 Create a User 31-03-2024
New Call Webhook Events Two new Webhook Call events are available i.e.
  • call.ivr_option_selected - Gives details of ivr option selected for Smartflow enabled numbers
  • call.comm_assets_generated - For recording and voicemails links that might be missing in call.ended event
04-03-2024 call.ivr_option_selected call.comm_assets_generated N/A
New Number Endpoints One new Endpoint is available i.e.
  • Registration Status - Fetch compliance status for specific numbers.
05-15-2024 Registration Status N/A
New Message Webhook Events Three new Webhook message events are available i.e.
  • message.sent - Gives details when a message is sent.
  • message.received - Gives details when a message is received.
  • message.status_updated - Gives details when a message has an updated status.
03-06-2024 message.sent message.received message.status_updated N/A
New Message Endpoints Four new Endpoints are available to use SMS/MMS capabilities via API i.e.
  • Create Number configuration - Configure a number to send messages via API.
  • Fetch Number configuration - Fetch number configuration for send messages API.
  • Delete Number configuration - Delete existing number configuration for send messages API.
  • Send Message - send messages via API with configured numbers.
08-05-2024 Fetch Number Configuration Create Number Configuration Delete Number Configuration Send message N/A
New Conversation Intelligence Event New Conversation Intelligence event for Sentiment Analysis is available :
  • sentiment.created - contains Call sentiment analysis
08-14-2024 sentiment.created N/A
New Conversation Intelligence Event New Conversation Intelligence event for Call Transcription is available:
  • transcription.created - informs about availability of call transcription
08-26-2024 transcription.created N/A
New Conversation Intelligence endpoints Four new Endpoints are available to use Conversation Intelligence capabilities via API i.e.:
  • Retrieve a transcription - Fetch call transcription for a call via API.
  • Retrieve sentiments - Fetch call sentiments for a call via API.
  • Retrieve a summary - Fetch call summary for a call via API.
  • Retrieve key topics - Fetch call key topics for a call via API.
09-13-2024 N/A
New Conversation Intelligence Event New Conversation Intelligence events for Call Summary and Key Topics are available:
  • summary.created - informs about availability of call summary
  • topics.created - informs about availability of Key Topics for a Call
10-24-2024 summary.created
topics.created
N/A
New Message Endpoint One new Endpoint is available to use SMS capabilities capabilities via API i.e.:
  • Send Message in agent conversation - Send messages in agent conversation via API with configured numbers.
11-25-2024 N/A
New Call Webhook Event New Webhook Call event is available i.e.:
  • call.external_transferred - informs about that call which is transferred to external number.
02-18-2025 N/A
New version of CTI - Aircall Everywhere New version of Aircall Everywhere SDK V2 has been released which is based on Aircall Workspace App. 04-29-2025 CTI - Aircall Everywhere SDK V2 N/A
New Conversation Intelligence endpoint and webhook New endpoint and webhook is available to use Conversation Intelligence capabilities:
  • Retrieve action items - Fetch call action items for a call.
  • action_item.created - informs about action item has been created.
05-07-2025 N/A
Added whatsapp channel to message webhook events Added whatsapp channel to message webhook events i.e.
  • message.sent
  • message.received
  • message.status_updated
06-04-2025 N/A
New Conversation Intelligence endpoint and webhook New endpoint and webhook is available to use Conversation Intelligence capabilities:
  • Retrieve a playbook result - Fetch playbook result for a call.
  • playbook_result.created - informs about a playbook result has been created.
07-23-2025 N/A
New participant type in Transcription endpoint and webhook Voice virtual agent is available to use on Conversation Intelligence capabilities:
  • Retrieve a transcription - Fetch call transcription for a call via API.
  • transcription.created - informs about availability of call transcription.
07-23-2025 N/A
New Conversation Intelligence webhook event New webhook event is available for Conversation Intelligence:
  • playbook_result.updated - informs about a playbook result has been updated.
07-24-2025
New AI Voice Agent webhook events Three new webhook events are available for AI Voice Agent interactions:
  • ai_voice_agent.started - indicates that a call handled by AI Voice Agent has initiated/started
  • ai_voice_agent.ended - indicates that a call handled by AI Voice Agent has ended
  • ai_voice_agent.escalated - indicates that a call handled by AI Voice Agent has been escalated to a human agent
08-28-2025 N/A
New Realtime Transcription endpoint New endpoint is available for Conversation Intelligence capabilities:
  • Retrieve realtime transcription - Fetch realtime transcription for a call.
10-08-2025 N/A
New Real-time Transcription webhook event New webhook event is available for Real-time Transcription:
  • realtime_transcription.utterances_received - delivers utterances in real-time during active calls.
10-08-2025 N/A
New AI Voice Agent webhook event New webhook event is available for AI Voice Agent interactions:
  • ai_voice_agent.summary - delivers answers to configured intake questions after end of voice-agent call. This event is only generated if the voice-agent succeeds in extracting the answers.
10-30-2025 N/A
New Custom Summary webhook events Two new webhook events are available for Custom Summaries:
  • custom_summary.result_created - sent when a custom summary result is generated for a call
  • custom_summary.result_updated - sent when a custom summary result is updated for a call
07-11-2025 N/A
New Custom Summary API endpoint New API endpoint is available to retrieve custom summary results:
  • GET /v1/calls/:call_id/custom_summary_result - retrieves the custom summary result for a specific call
13-11-2025 N/A
New Call Evaluations API endpoint New API endpoint is available to retrieve call evaluations:
  • GET /v1/calls/:call_id/evaluations - retrieves call evaluations for a specific call
17-12-2025 N/A
New Call Evaluations Webhook Events Two new webhook events are available for Call Evaluations:
  • call_evaluation.created - sent when a call evaluation is created
  • call_evaluation.updated - sent when a call evaluation is updated
17-12-2025
New User V2 Webhook Events New User V2 webhook events are available. These events provide the same functionality as User events but with an updated payload structure. The User V2 events do not include the numbers array in the response. Eight new webhook events are available. 01-20-2026 N/A
New User V2 APIs New User V2 API endpoints are now available. These endpoints provide the same functionality as User APIs V1 but with an updated payload structure. The User V2 endpoints do not include the numbers array in the response.Five new APIs are available.
  • New API to list all numbers for a user is now available.
01-20-2026 N/A

Contact us on support.aircall.io if you need more info regarding these announcements.

APIS list

In this section, we list all the available Public APIs.

User V1

User overview

Get all users associated to an Aircall account, or retrieve, create and update info about one specific User! You can also start outbound calls from a User's Aircall Workspace.

Users can be either Admins or Agents:

Users are assigned to Numbers.

    Attributes
  • id
    Integer
    Unique identifier for the User.
  • direct_link
    String
    Direct API URL.
  • name
    String
    Full name of the User.
    Results of first_name last_name.
  • email
    String
    Email of the User.
  • created_at
    String
    Timestamp when the User was created, in UTC.
  • available
    Boolean
    Current availability status of the User, based on their working hours.
  • availability_status
    String
    Current working status of the User.
    Can be available, custom (= available according to their Working Hours and Timezone) or unavailable (= Do Not Disturb or other unavailable status). More availablility statuses can be retrieved, see the Availability table below.
  • substatus
    String
    Current substatus of the User.
    If user selects availability_status as available or custom (available according to working hours or timezone) then substatus will be always_open.
    If user selects availability_status as unavailable and doesn't select a substatus or unavailability reason in Aircall Workspace then it will be always_closed.
    If user selects availability_status as unavailable and selects a substatus or unavailability reason in Aircall Workspace i.e. Out for lunch, On a break, In training, Back office or Other. The substatus will contain the exact substauts or unavailability reason selected.
  • numbers
    Array
    List of Numbers associated to this User.
  • time_zone
    String
    The User's timezone. This can be set either from the Dashboard or Aircall Workspace (check our Knowledge Base).
    Default is Etc/UTC. More details on Timezones here.
  • language
    String
    The User's preferred language. This can be set either from the Dashboard or Aircall Workspace (check our Knowledge Base).
    The format is IETF language tag. Default is en-US.
  • wrap_up_time
    Integer
    A pre-set timer triggered after a call has ended, during which the user can’t receive any calls. Learn more..




    Availability
  • available
    String
    Agent ready to answer calls.
  • offline
    String
    Agent not online.
  • do_not_disturb
    String
    Agent toggled themself as do not disturb.
  • in_call
    String
    Agent is currently on a call.
  • after_call_work
    String
    Agent is performing their after-call work (tagging a call or wrapping up).

Find a proper definition of each of those availability statuses in our Knowledge Base and retrieve those granular availability statuses with this endpoint!

List all Users

Fetch all Users associated to a Company and their information.

Looking for more granular availability statuses? Check the availability endpoint! User V1 API will be deprecated soon. Please migrate to User V2 API.

    Query params
  • from
    String
    Set a minimal creation date for Users (UNIX timestamp).
  • to
    String
    Set a maximal creation date for Users (UNIX timestamp).
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc

Pagination params can be used on this request.

Request
GET /v1/users
Response
Status: 200 OK { "meta": { "count": 3, "total": 3, "current_page": 1, "per_page": 20, "next_page_link": null, "previous_page_link": null }, "users": [ { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US", "substatus": "always_opened", "wrap_up_time": 0, "extension": "001" }, { "id": 457, "direct_link": "https://api.aircall.io/v1/users/457", "name": "Amy Rudd", "email": "amy.rudd@aircall.io", "available": true, "availability_status": "custom", "created_at": "2019-12-30T18:10:21.000Z", "time_zone": "Etc/UTC", "language": "en-US", "substatus": "always_opened", "wrap_up_time": 0, "extension": "002" }, { "id": 458, "direct_link": "https://api.aircall.io/v1/users/458", "name": "Vera Martin", "email": "vera.martin@aircall.io", "available": false, "availability_status": "unavailable", "created_at": "20120-01-02T09:01:58.000Z", "time_zone": "Europe/Paris", "language": "fr-FR", "substatus": "always_opened", "wrap_up_time": 0, "extension": "003" } ] }

Retrieve a User

Retrieve details of a specific User.

Looking for more granular availability statuses for a User? Check this dedicated endpoint.

User V1 API will be deprecated soon. Please migrate to User V2 API.

    Path params
  • id
    Integer/String
    Unique identifier or email address of the User.

Retrieve by ID:

Request
GET /v1/users/456

Retrieve by email:

Request
GET /v1/users/john.doe@aircall.io
Request
GET /v1/users/:id
Response
Status: 200 OK { "user": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US", "substatus": "always_opened", "wrap_up_time": 0, "extension": "001", "default_number_id": 1234, "numbers": [ { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { "welcome": "https://example.com/welcome.mp3", "waiting": "https://example.com/waiting_music.mp3", "ivr": "https://example.com/ivr_message.mp3", "voicemail": "https://example.com/voicemail.mp3", "closed": "https://example.com/closed_message.mp3", "callback_later": "https://example.com/callback_later.mp3", "unanswered_call": "https://example.com/unanswered_call.mp3", "after_hours": "https://example.com/closed_message.mp3", "ringing_tone": "https://example.com/waiting_music.mp3" } } ] } }

Create a User

Users can be created one at a time. After creation, a unique user ID will be included in the response's payload. An invitation email will be sent to the User, they will have to confirm their account before being able to use Aircall.

A user.created Webhook event is sent on User creation. More information in the Webhooks section.

User V1 API will be deprecated soon. Please migrate to User V2 API.

    Body params
  • email
    String
    Must be a valid and unique email.
    Mandatory field.
  • first_name
    String
    Can't be blank if defined.
    Mandatory field.
  • last_name
    String
    Can't be blank if defined.
    Mandatory field.
  • availability_status
    String
    available, custom or unavailable.
    Default value is available
  • role_ids
    Array<String>
    owner, supervisor, admin or agent.
    Default value is agent
  • wrap_up_time
    Integer
    Optional number of seconds as wrap-up time after a call. It applies only to a user that includes the role agent
    Default value is 0 seconds
  • inviter_user_id
    Integer
    Optional id of the user who invited the user to create
    The inviter must be an admin. If a non-admin user ID is provided, the request will return a 400 error.
code description
422 Mandatory attribute missing, check the troubleshoot field.
Request
POST /v1/users { "email": "jeffrey.curtis@aircall.io", "first_name": "Jeffrey", "last_name": "Curtis" }
Response
Status: 201 Created { "user": { "id": 458, "direct_link": "https://api.aircall.io/v1/users/458", "name": "Jeffrey Curtis", "email": "jeffrey.curtis@aircall.io", "available": false, "availability_status": "available", "created_at": "2020-02-18T20:52:22.000Z", "time_zone": "Etc/UTC", "language": "en-US", "numbers": [], "wrap_up_time": 0 } }

Update a User

Some fields can be updated via the Public API. For instance, a User's availability status could be automatically updated based on information from their calendar or a workforce management tool.

User V1 API will be deprecated soon. Please migrate to User V2 API.

    Path params
  • id
    Integer
    Unique identifier for the User.
    Body params
  • first_name
    String
    Can't be blank if defined.
  • last_name
    String
    Can't be blank if defined.
  • availability_status
    String
    available, custom or unavailable.
  • substatus
    String
    Possible values of substatus when availability_status is unavailable: out_for_lunch, on_a_break, in_training, doing_back_office, other
  • role_ids
    Array<String>
    owner, supervisor, admin or agent.
  • wrap_up_time
    Integer
    Number of seconds as wrap-up time after a call. It applies only to a user that has the role agent.
Request
PUT /v1/users/:id { "first_name": "Jeff Updated" }
Response
Status: 200 OK { "user": { "id": 458, "direct_link": "https://api.aircall.io/v1/users/458", "name": "Jeff Updated Curtis", "email": "jeffrey.curtis@aircall.io", "available": false, "availability_status": "available", "created_at": "2020-02-18T20:52:22.000Z", "time_zone": "America/New_York", "language": "en-US", "numbers": [], "wrap_up_time": 55, "extension": "001", "substatus": "always_opened" } }

Delete a User

When deleting a User, all data associated to them will also be destroyed and won't be recoverable.

A user.deleted Webhook event is sent on User deletion. More information in the Webhooks section.

    Path params
  • id
    Integer
    Unique identifier for the User.
code description
204 User will be deleted in the next minutes, depending on how many calls and data are associated to them.
422 Server unable to process the request, error will be described in the troubleshoot field.
Request
DELETE /v1/users/:id
Response
Status: 204 No Content

Retrieve list of Users availability

List the detailed availability of all Users, displayed in the Dashboard's Activity Feed.

Please refer to the User object definition to see all the possible values of the availability field.

Users availabilities

Find a detailed definition of each availability status in our Knowledge Base.

    Query params
  • from
    String
    Set a minimal creation date for Users (UNIX timestamp).
  • to
    String
    Set a maximal creation date for Users (UNIX timestamp).
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc
Request
GET /v1/users/availabilities
Response
Status: 200 OK { "meta": { "count": 3, "total": 3, "current_page": 1, "per_page": 20, "next_page_link": null, "previous_page_link": null }, "users": [ { "id": 456, "availability": "available" }, { "id": 457, "availability": "offline" } { "id": 458, "availability": "do_not_disturb" } ] }

Check availability of a User

Retrieve the detailed availability of a specific User, displayed in the Dashboard's Activity Feed.

Please refer to the User object definition to see all the possible values of the availability field.

Find a proper definition of each availability status in our Knowledge Base.

    Path params
  • id
    Integer
    Unique identifier for the User.
Request
GET /v1/users/:id/availability
Response
Status: 200 OK { "availability": "after_call_work" }

Start an outbound call

Outbound calls can be automatically started for a User from their Aircall Workspace. It is often used to build a Click-to-call feature!

A Number ID and a phone number to dial must be provided in the request's body.

The User must be available, not on a call and associated to the Number.

Number must be active (validated), inactive numbers can be seen in the Aircall Dashboard.

This feature is only available on Aircall Workspace on Desktop for now, not yet on iOS and Android.

Please note, the API doesn’t support multiple sessions. It is not recommended to use this API along with Aircall CTI or Web App when multiple tabs are open

    Path params
  • id
    Integer
    Unique identifier for the User.
    Body params
  • number_id
    Integer
    Unique identifier of the Number to use for the call.
    Mandatory field.
  • to
    String
    The number to dial in E.164 format.
    Mandatory field.
code description
204 Success.
400 Number not found or invalid number to dial.
405 User not available.
Request
POST /v1/users/:id/calls { "number_id": 123, "to": "+18001231234" }
Response
Status: 204 No Content

Dial a phone number in Aircall Workspace

Sending a request to this endpoint will fill the User's Aircall Workspace with the to params. They will then be able to start the call within Aircall Workspace and will be free to choose from which Number they want to start the call from. It is often used to build a Click-to-dial feature!

User must be available and not on a call.

This feature is also available from the Aircall Everywhere CTI.

This feature is only available on Aircall Workspace on Desktop for now, not yet on iOS and Android.

    Path params
  • id
    Integer
    Unique identifier for the User.
    Body params
  • to
    String
    The phone number to dial in E.164 format.
    Mandatory field.
code description
204 Success.
400 Invalid number to dial.
405 User not available.
Request
POST /v1/users/:id/dial { "to": "+18001231234" }
Response
Status: 204 No Content

User V2

User V2 overview

Get all users associated to an Aircall account, or retrieve, create and update info about one specific User V2! You can also start outbound calls from a User V2's Aircall Workspace.

Users can be either Admins or Agents:

Please note User v2 object doesn't include a numbers object

    Attributes
  • id
    Integer
    Unique identifier for the User.
  • direct_link
    String
    Direct API URL.
  • name
    String
    Full name of the User.
    Results of first_name last_name.
  • email
    String
    Email of the User.
  • created_at
    String
    Timestamp when the User was created, in UTC.
  • available
    Boolean
    Current availability status of the User, based on their working hours.
  • availability_status
    String
    Current working status of the User.
    Can be available, custom (= available according to their Working Hours and Timezone) or unavailable (= Do Not Disturb or other unavailable status). More availablility statuses can be retrieved, see the Availability table below.
  • substatus
    String
    Current substatus of the User.
    If user selects availability_status as available or custom (available according to working hours or timezone) then substatus will be always_open.
    If user selects availability_status as unavailable and doesn't select a substatus or unavailability reason in Aircall Workspace then it will be always_closed.
    If user selects availability_status as unavailable and selects a substatus or unavailability reason in Aircall Workspace i.e. Out for lunch, On a break, In training, Back office or Other. The substatus will contain the exact substauts or unavailability reason selected.
  • time_zone
    String
    The User's timezone. This can be set either from the Dashboard or Aircall Workspace (check our Knowledge Base).
    Default is Etc/UTC. More details on Timezones here.
  • language
    String
    The User's preferred language. This can be set either from the Dashboard or Aircall Workspace (check our Knowledge Base).
    The format is IETF language tag. Default is en-US.
  • wrap_up_time
    Integer
    A pre-set timer triggered after a call has ended, during which the user can't receive any calls. Learn more..
  • last_call_id
    Integer
    The unique identifier of the last call associated with the user's wrap-up time.
    This attribute is only available in user.wut_start.v2 and user.wut_end.v2 webhook events and not in User APIs.
    If mandatory call tagging is enabled in Aircall Workspace and wrap-up time is set to zero or any other duration, or if a call is transferred to an external number and does not connect, then last_call_id won't be available.




    Availability
  • available
    String
    Agent ready to answer calls.
  • offline
    String
    Agent not online.
  • do_not_disturb
    String
    Agent toggled themself as do not disturb.
  • in_call
    String
    Agent is currently on a call.
  • after_call_work
    String
    Agent is performing their after-call work (tagging a call or wrapping up).

Find a proper definition of each of those availability statuses in our Knowledge Base and retrieve those granular availability statuses with this endpoint!

List all Users V2

Fetch all Users V2 associated to a Company and their information.

Looking for more granular availability statuses? Check the availability endpoint!

    Query params
  • from
    String
    Set a minimal creation date for Users (UNIX timestamp).
  • to
    String
    Set a maximal creation date for Users (UNIX timestamp).
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc

Pagination params can be used on this request.

Request
GET /v2/users
Response
Status: 200 OK { "meta": { "count": 3, "total": 3, "current_page": 1, "per_page": 20, "next_page_link": null, "previous_page_link": null }, "users": [ { "id": 456, "direct_link": "https://api.aircall.io/v2/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US", "substatus": "always_opened", "wrap_up_time": 0, "extension": "001" }, { "id": 457, "direct_link": "https://api.aircall.io/v2/users/457", "name": "Amy Rudd", "email": "amy.rudd@aircall.io", "available": true, "availability_status": "custom", "created_at": "2019-12-30T18:10:21.000Z", "time_zone": "Etc/UTC", "language": "en-US", "substatus": "always_opened", "wrap_up_time": 0, "extension": "002" }, { "id": 458, "direct_link": "https://api.aircall.io/v2/users/458", "name": "Vera Martin", "email": "vera.martin@aircall.io", "available": false, "availability_status": "unavailable", "created_at": "20120-01-02T09:01:58.000Z", "time_zone": "Europe/Paris", "language": "fr-FR", "substatus": "always_opened", "wrap_up_time": 0, "extension": "003" } ] }

Retrieve a User V2

Retrieve details of a specific User V2.

Looking for more granular availability statuses for a User V2? Check this dedicated endpoint.

    Path params
  • id
    Integer/String
    Unique identifier or email address of the User.

Retrieve by ID:

Request
GET /v2/users/456

Retrieve by email:

Request
GET /v2/users/john.doe@aircall.io
Request
GET /v2/users/:id
Response
Status: 200 OK { "user": { "id": 456, "direct_link": "https://api.aircall.io/v2/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US", "substatus": "always_opened", "wrap_up_time": 0, "extension": "001", "default_number_id": 1234 } }

Create a User V2

Users can be created one at a time. After creation, a unique user ID will be included in the response's payload. An invitation email will be sent to the User V2, they will have to confirm their account before being able to use Aircall.

A user.created.v2 Webhook event is sent on User creation. More information in the Webhooks section.

    Body params
  • email
    String
    Must be a valid and unique email.
    Mandatory field.
  • first_name
    String
    Can't be blank if defined.
    Mandatory field.
  • last_name
    String
    Can't be blank if defined.
    Mandatory field.
  • availability_status
    String
    available, custom or unavailable.
    Default value is available
  • role_ids
    Array<String>
    owner, supervisor, admin or agent.
    Default value is agent
  • wrap_up_time
    Integer
    Optional number of seconds as wrap-up time after a call. It applies only to a user that includes the role agent
    Default value is 0 seconds
  • inviter_user_id
    Integer
    Optional id of the user who invited the user to create
    The value will be ignored if the inviter is not an admin
code description
422 Mandatory attribute missing, check the troubleshoot field.
Request
POST /v2/users { "email": "jeffrey.curtis@aircall.io", "first_name": "Jeffrey", "last_name": "Curtis" }
Response
Status: 201 Created { "user": { "id": 458, "direct_link": "https://api.aircall.io/v2/users/458", "name": "Jeffrey Curtis", "email": "jeffrey.curtis@aircall.io", "available": false, "availability_status": "available", "created_at": "2020-02-18T20:52:22.000Z", "time_zone": "Etc/UTC", "language": "en-US", "wrap_up_time": 0 } }

Update a User V2

Some fields can be updated via the Public API. For instance, a User V2's availability status could be automatically updated based on information from their calendar or a workforce management tool.

    Path params
  • id
    Integer
    Unique identifier for the User.
    Body params
  • first_name
    String
    Can't be blank if defined.
  • last_name
    String
    Can't be blank if defined.
  • availability_status
    String
    available, custom or unavailable.
  • substatus
    String
    Possible values of substatus when availability_status is unavailable: out_for_lunch, on_a_break, in_training, doing_back_office, other
  • role_ids
    Array<String>
    owner, supervisor, admin or agent.
  • wrap_up_time
    Integer
    Number of seconds as wrap-up time after a call. It applies only to a user that has the role agent.
Request
PUT /v2/users/:id { "first_name": "Jeff Updated" }
Response
Status: 200 OK { "user": { "id": 458, "direct_link": "https://api.aircall.io/v2/users/458", "name": "Jeff Updated Curtis", "email": "jeffrey.curtis@aircall.io", "available": false, "availability_status": "available", "created_at": "2020-02-18T20:52:22.000Z", "time_zone": "America/New_York", "language": "en-US", "wrap_up_time": 55, "extension": "001", "substatus": "always_opened" } }

List all Numbers for a User V2

Fetch all Numbers associated to a specific User V2.

    Path params
  • id
    Integer
    Unique identifier for the User.
    Query params
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc

Pagination params can be used on this request.

Request
GET /v2/users/:id/numbers
Response
Status: 200 OK { "numbers": [ { "id": 673, "direct_link": "https://api.aircall.io/v1/numbers/673", "name": "Matheus", "digits": "+33 1 76 42 03 02", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "open", "is_ivr": false, "live_recording_activated": false, "priority": 0, "messages": { "welcome": "https://example.com/welcome.mp3", "waiting": "https://example.com/waiting_music.mp3", "ivr": "https://example.com/ivr_message.mp3", "voicemail": "https://example.com/voicemail.mp3", "closed": "https://example.com/closed_message.mp3", "callback_later": "https://example.com/callback_later.mp3", "unanswered_call": "https://example.com/unanswered_call.mp3", "after_hours": "https://example.com/after_hours.mp3", "ringing_tone": "https://example.com/ringing_tone.mp3" }, "created_at": "2016-12-28T10:15:05.000Z", "flow_editor_enabled": true }, { "id": 719, "direct_link": "https://api.aircall.io/v1/numbers/719", "name": "Pokedex Twilio Staging", "digits": "+33 4 20 88 02 82", "country": "RO", "time_zone": "Europe/Paris", "open": true, "availability_status": "open", "is_ivr": false, "live_recording_activated": false, "priority": 0, "messages": { "welcome": "https://example.com/welcome.mp3", "waiting": "https://example.com/waiting_music.mp3", "ivr": "https://example.com/ivr_message.mp3", "voicemail": "https://example.com/voicemail.mp3", "closed": "https://example.com/closed_message.mp3", "callback_later": "https://example.com/callback_later.mp3", "unanswered_call": "https://example.com/unanswered_call.mp3", "after_hours": "https://example.com/after_hours.mp3", "ringing_tone": "https://example.com/ringing_tone.mp3" }, "created_at": "2017-02-06T11:01:05.000Z", "flow_editor_enabled": true } ], "meta": { "count": 2, "total": 1872, "current_page": 2, "per_page": 2, "next_page_link": "https://api.aircall.io/v2/users/123/numbers?order=asc&page=3&per_page=2", "previous_page_link": "https://api.aircall.io/v2/users/123/numbers?order=asc&page=1&per_page=2" } }

Team

Team overview

Users can be grouped in Teams and managed from the Dashboard.

Teams are only used in call distributions of Numbers.

More info on how to use Aircalls' Team feature in our Knowledge Base.

    Attributes
  • id
    Integer
    Unique identifier for the Team.
  • direct_link
    String
    Direct API URL.
  • name
    String
    Full name of the Team.
    name must be unique in a company and the length of the string should be 64 characters maximum.
  • created_at
    String
    Timestamp when the Team was created, in UTC.
  • users
    Array
    List of Users associated to this Team.
    User attribute available is not available in Teams endpoint. User's availability_status and default_number_id can be retrieved using List all Teams endpoint.

List all Teams

Fetch all Teams associated to a company and their information.

    Query params
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc

Pagination params can be used on this request.

code description
200 Success.
403 Forbidden. Invalid API key or Bearer access token
Request
GET /v1/teams
Response
Status: 200 OK { "meta": { "count": 1, "total": 1, "current_page": 1, "per_page": 20, "next_page_link": null, "previous_page_link": null }, "teams": [ { "id": 678, "name": "Global Sales", "direct_link": "https://api.aircall.io/v1/teams/678", "created_at": "2020-03-10T08:31:43.000Z", "users": [ { "id": 456, "direct_link": "https://api.aircall.io/v1/users/4c56", "name": "John Doe", "email": "john.doe@aircall.io", "availability_status": "available", "default_number_id": 1234, "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York" }, { "id": 457, "direct_link": "https://api.aircall.io/v1/users/457", "name": "Amy Rudd", "email": "amy.rudd@aircall.io", "availability_status": "available", "default_number_id": 1234, "created_at": "2019-12-30T18:10:21.000Z", "time_zone": "Etc/UTC" } ] } ] }

Retrieve a Team

Retrieve details of a specific Team.

    Path params
  • id
    Integer
    Unique identifier for the Team.
code description
200 Success.
403 Forbidden. Invalid API key or Bearer access token
404 Not found. Id does not exist
Request
GET /v1/teams/:id
Response
Status: 200 OK { "team": { "id": 678, "name": "Global Sales", "direct_link": "https://api.aircall.io/v1/teams/678", "created_at": "2020-03-10T08:31:43.000Z", "users": [ { "id": 456, "direct_link": "https://api.aircall.io/v1/users/4c56", "name": "John Doe", "email": "john.doe@aircall.io", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York" }, { "id": 457, "direct_link": "https://api.aircall.io/v1/users/457", "name": "Amy Rudd", "email": "amy.rudd@aircall.io", "created_at": "2019-12-30T18:10:21.000Z", "time_zone": "Etc/UTC" } ] } }

Create a Team

A name must be provided when creating a Team.

Please use the following endpoint to add Users to it.

    Body params
  • name
    String
    Can't be blank if defined.
    Mandatory field.
code description
201 Success.
400 Company might have reached the maximum number of teams allowed on their plan. Name must be smaller than 64 characters and unique in the company.
403 Forbidden. Invalid API key or Bearer access token
Request
POST /v1/teams { "name": "Support USA" }
Response
Status: 201 Created { "team": { "id": 679, "name": "Support USA", "direct_link": "https://api.aircall.io/v1/teams/679", "created_at": "2020-03-10T20:29:52.000Z", "users": [] } }

Delete a Team

When deleting Teams, they will be removed from the Numbers call distribution.

Users and Calls won't be deleted.

    Path params
  • id
    Integer
    Unique identifier for the Team.
code description
204 Success.
403 Forbidden. Invalid API key or Bearer access token
404 Not found. Id does not exist
422 Server unable to process the request, error will be described in the troubleshoot field.
Request
DELETE /v1/teams/:id
Response
Status: 200 OK

Add a User to a Team

Users can be added one by one to a Team.

    Path params
  • team_id
    Integer
    Unique identifier for the Team.
  • user_id
    Integer
    Unique identifier for the User.
code description
201 Success.
403 Forbidden. Invalid API key or Bearer access token
404 Not found. Either team_id or user_id does not exist
422 Server unable to process the request, error will be described in the troubleshoot field.
Request
POST /v1/teams/:team_id/users/:user_id
Response
Status: 201 Created { "team": { "id": 679, "name": "Support USA", "direct_link": "https://api.aircall.io/v1/teams/679", "created_at": "2020-03-10T20:29:52.000Z", "users": [ { "id": 456, "direct_link": "https://api.aircall.io/v1/users/4c56", "name": "John Doe", "email": "john.doe@aircall.io", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York" } ] } }

Remove a User from a Team

Users can be deleted one by one from a Team.

Calls made and received by this User won't be deleted.

    Path params
  • team_id
    Integer
    Unique identifier for the Team.
  • userid
    Integer
    Unique identifier for the User.
code description
200 Success.
403 Forbidden. Invalid API key or Bearer access token
404 Not found. Either team_id or user_id does not exist
422 Server unable to process the request, error will be described in the troubleshoot field.
Request
DELETE /v1/teams/:team_id/users/:user_id
Response
Status: 200 OK { "team": { "id": 679, "name": "Support USA", "direct_link": "https://api.aircall.io/v1/teams/679", "created_at": "2020-03-10T20:29:52.000Z", "users": [] } }

Call

Call overview

Calls are an essential part of how Aircall users interact with the product. Our mission is to give real-time insights to make the call experience as delightful as possible!

There are three types of calls:

  1. Inbound calls: where an external person reaches an Agent.
  2. Outbound calls: where an Agent starts a call from Aircall Workspace to reach an external person.
  3. Internal calls: where an Agent calls another Agent.

More information available on each type of Call at the bottom of this section.

Please refer to the User object if you are looking to start an outbound call or to dial a phone number!

    Attributes
  • id
    Integer
    Unique identifier for the Call.
    Please note, Call id Data Type is Int64
  • sid
    String
    Call identifier from call provider
    Please note sid attribute refers to call_uuid and has same value as call_uuid. sid is only available in Call APIs
  • call_uuid
    String
    Call identifier from call provider
    Please note call_uuid attribute refers to sid and has same value as sid. call_uuid is only available in Call Webhook events
  • direct_link
    String
    Direct API URL.
  • started_at
    Integer
    UNIX timestamp when the Call started, in UTC.
  • answered_at
    Integer
    UNIX timestamp when the Call has been answered, in UTC.
  • ended_at
    Integer
    UNIX timestamp when the Call ended, in UTC.
  • duration
    Integer
    Duration of the Call in seconds.
    This field is computed by ended_at - started_at.
  • status
    String
    Current status of the Call.
    Can be initial, answered or done.
  • direction
    String
    Direction of the Call.
    Could be inbound or outbound.
  • raw_digits
    String
    International format of the number of the caller or the callee. For an anonymous call, the value is anonymous.
  • asset
    String
    If present, a secured webpage containing the voicemail or live recording for this Call.
    URL format is https://assets.aircall.io/[recording,voicemail]/:call_id.
  • recording
    String
    If present, the direct URL of the live recording (mp3 file) for this Call. This feature can be enabled from the Aircall Dashboard, on each Number - more information in our Knowledge Base.
    This link is valid for 1 hour only.
  • recording_short_url
    String
    When recording is present, a unique short URL redirecting to it.
    This link is valid for 3 hours only.
    URL format is https://short-urls.aircall.io/v1/:uuid.
  • voicemail
    String
    Only present if a voicemail was left. Voicemails can only be left by callers on inbound calls. If present, the direct URL of a voicemail (mp3 file) for this Call.
    This link is valid for 1 hour only.
  • voicemail_short_url
    String
    When voicemail is present, a unique short URL redirecting to it.
    This link is valid for 3 hours only.
    URL format is https://short-urls.aircall.io/v1/:uuid.
  • archived
    Boolean
    Indicates whether the Call has been archived.
    Originally used to flag calls needing follow-up in the legacy Phone app's To-do view; has no functional impact in Aircall Workspace.
  • missed_call_reason
    String
    Representing the reason why the Call was missed.
    Can be out_of_opening_hours, short_abandoned, abandoned_in_ivr, abandoned_in_classic, no_available_agent or agents_did_not_answer.
  • cost
    String
    Cost of the Call in U.S. cents.
    Cost is a legacy field which has been deprecated, we might reintroduce it in the future. For more info please reach out to us on support.aircall.io.
  • number
    Object
    Full Number object attached to the Call.
  • user
    Object
    Full User object who took or made the Call.
  • contact
    Object
    Full Contact object attached to the Call.
  • assigned_to
    Object
    Full User object assigned to the Call.
  • teams
    Array
    Full Teams object assigned to the Call.
    Teams are only assigned to answered inbound calls.
  • transferred_by
    Object
    User who performed the Call transfer.
  • transferred_to
    Object
    User to whom the Call was transferred to.
    If Call is transferred to a Team, this field will represent the first User of the Team. It won't be available in case of external call transfers.
  • external_transferred_to
    String
    External number to which the Call was transferred to.
    Only available via call.external_transferred event
  • external_caller_number
    String
    Caller Number from whom call was received.
    Only available via call.external_transferred event
  • automatic_callback_call_id
    Integer
    The Call ID of the call that requested callback.
  • comments
    Array
    Notes added to this Call by Users.
  • tags
    Array
    Tags added to this Call by Users.
  • participants
    Array
    Participants involved in a conference call.
    Please note participants attribute is referred as conference_participants in Call APIs and as participants in call Webhook events
  • ivr_options_selected
    Array
    IVR options selected in a smartflow enabled number.
    ivr_options_selected is retrievable via Call APIs using fetch timeline query param
  • ai_voice_agents
    Array
    Call AI Voice Agents that handled the Call.
    ai_voice_agents is retrievable via Call APIs using the fetch_aiva_conv query param



1. Inbound calls

Inbound calls are initiated by an external person, calling an Aircall Number. Once started, calls will follow the Call distribution tree defined in the Aircall Dashboard (see our Knowledge Base).

If an Inbound call is not answered, it is then considered as missed. All missed calls will have the missed_call_reason field defined in their payload, the answered_at field will be null, and the teams field will be empty ([]).

The duration field is computed by the following: ended_at - started_at. As the ringing time is included in it, use the ended_at - answered_at calculation to get the talking time of the call!

More info on Inbound calls lifecycle in the Webhook section.


2. Outbound calls

Outbound calls are initiated by Agents from Aircall Workspace, calling an external person.

If an Outbound call is not answered by the external person, the answered_at field will be null.

The duration field is computed by the following: ended_at - started_at. As the ringing time is included in it, use the ended_at - answered_at calculation to get the talking time of the call. If an outbound call is answered by a voicemail, it will be considered as answered (Aircall does not support Answering Machine Detection yet).

More info on Outbound calls lifecycle in the Webhook section.

Starting an outbound call from Aircall Workspace is feasible with the Start Outbound Call endpoint, defined on the User object.


3. Internal calls

Internal calls are initiated by an Agent, calling another Agent. Those calls are not rendered in the Public API.

More info on how to use Intercall calls in our Knowledge Base.



Call Comments (also called Notes)

Calls can be commented by Agents or via the Public API endpoint [POST] /v1/calls/:id/comments.

Here is the object description of a comment:

    Attributes
  • id
    Integer
    Unique identifier for the Comment.
  • content
    String
    Content of the Comment, written by Agent or via Public API.
  • posted_at
    String
    Timestamp of when the Comment was created.
  • posted_by
    Object
    User object who created the Comment.
    Will be null if Comment is posted via Public API.

List all Calls

Fetch all Calls associated to a company and their information.

By default, Calls are ordered by ascending IDs - consider using the order=desc query param if you want to get the last calls made by an account!

Only six months of history is available. Please contact our Support team on support.aircall.io to get a one-time export of calls. By default contact details are not added in response payload. To add the contact details in response set fetch_contact to true in query parameters.

    Query params
  • from
    String
    Set a minimal creation date for Calls (UNIX timestamp).
  • to
    String
    Set a maximal creation date for Calls (UNIX timestamp).
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc
  • fetch_contact
    Boolean
    When set to true, adds contacts details in response.
  • fetch_short_urls
    Boolean
    When set to true, adds short urls in response.
  • fetch_call_timeline
    Boolean
    When set to true, it will ivr_options_selected at the same level of the call
  • fetch_aiva_conv
    Boolean
    When set to true, it will return ai_voice_agents at the same level of each call

Using the pagination system, you can retrieve up to 10,000 Calls. To pass over this limit, we encourage you to use the from param as much as you can!

Request
GET /v1/calls
Response
Status: 200 OK { "meta": { "count": 20, "total": 2234, "current_page": 1, "per_page": 20, "next_page_link": "https://api.aircall.io/v1/calls?order=asc&page=2&per_page=20", "previous_page_link": null }, "calls": [ { "id": 812, "sid": "CA1234567890", "direct_link": "https://api.aircall.io/v1/calls/812", "direction": "outbound", "status": "done", "missed_call_reason": null, "started_at": 1584998199, "answered_at": 1584998205, "ended_at": 1584998210, "duration": 11, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US" }, "contact": null, "archived": false, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "2.34", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [ { "id": 735, "content": "Please call back this customer!", "posted_at": 1587994808, "posted_by": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "Johnn Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z" } }, ... ], "tags": [ { "id": 678, "name": "General Inquiries", "created_at": 1587995020, "tagged_by": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "Johnn Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z" } }, ... ], "teams": [], "ivr_options_selected": [ { "id": "5cb41cde-aed2-4357-a98c-e1b33d68851a", "title": "", "key": "1", "branch": "Default", "created_at": "2024-10-01T06:54:45.556Z", "transition_started_at": "2024-10-01T06:54:35.332Z", "transition_ended_at": "2024-10-01T06:54:45.513Z" } ] }, { "id": 813, "direct_link": "https://api.aircall.io/v1/calls/813", "direction": "inbound", "status": "done", "missed_call_reason": "no_available_agent", "started_at": 1584998199, "answered_at": null, "ended_at": 1584998210, "duration": 22, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": null, "contact": null, "archived": false, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "0", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [...], "tags": [...], "teams": [], "ivr_options_selected": [ { "id": "5cb41cde-aed2-4357-a98c-e1b33d68851a", "title": "", "key": "1", "branch": "Default", "created_at": "2024-10-01T06:54:45.556Z", "transition_started_at": "2024-10-01T06:54:35.332Z", "transition_ended_at": "2024-10-01T06:54:45.513Z" } ], "ai_voice_agents": [ { "agent_id": "01KK212KJ2SWPDHZKKB5M3ZWTA", "agent_name": "Ava EN - Triage", "end_reason": "escalated", "started_at": 1778263496, "ended_at": 1778263518, "escalation_reason": "Caller wants to purchase or create a new number", "escalation_target": { "type": "branch", "destination": "Number Porting & Purchase" } }, { "agent_id": "01KK23HFG2DMTR9QAD0WZSQVFE", "agent_name": "Ava EN - Numbers", "end_reason": "escalated", "started_at": 1778263518, "ended_at": 1778263621, "escalation_reason": "Caller explicitly asked to speak with a human representative", "escalation_target": { "type": "branch", "destination": "Caller Request" } } ] } ... ] }

Retrieve a Call

Use this endpoint to asynchronously retrieve a Call data like duration, direction, status, timestamps, comments or tags…

To get Calls information in real time, we recommend using Calls Webhooks events - for instance to log information automatically in your database after a Call. By default contact details are not added in response payload. To add the contact details in response set fetch_contact to true in query parameters.

    Path params
  • id
    Integer
    Unique identifier for the Call.
  • fetch_contact
    Boolean
    When set to true, adds contacts details in response.
  • fetch_short_urls
    Boolean
    When set to true, adds short urls in response.
  • fetch_call_timeline
    Boolean
    When set to true, it will return ivr_options_selected at the same level of the call
  • fetch_aiva_conv
    Boolean
    When set to true, it will return ai_voice_agents at the same level of the call
Request
GET /v1/calls/:id
Response
Status: 200 OK { "call": { "id": 812, "sid": "CA1234567890", "direct_link": "https://api.aircall.io/v1/calls/812", "direction": "outbound", "status": "done", "missed_call_reason": null, "started_at": 1584998199, "answered_at": 1584998205, "ended_at": 1584998210, "duration": 11, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US" }, "contact": null, "archived": false, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "2.34", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [ { "id": 735, "content": "Please call back this customer!", "posted_at": 1587994808, "posted_by": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "Johnn Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z" } } ], "tags": [ { "id": 678, "name": "General Inquiries", "created_at": 1587995020, "tagged_by": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "Johnn Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z" } }, ... ], "participants": [ { "name": "John Doe", "id": 456, "type": "user" }, { "name": "Jennifer Smith", "phone_number": "+33 7 49 88 29 71", "id": 5443, "type": "contact" }, { "name": "Rafael Lopez", "id": 457, "type": "user" } ], "teams": [], "ivr_options_selected": [ { "id": "5cb41cde-aed2-4357-a98c-e1b33d68851a", "title": "", "key": "1", "branch": "Default", "created_at": "2024-10-01T06:54:45.556Z", "transition_started_at": "2024-10-01T06:54:35.332Z", "transition_ended_at": "2024-10-01T06:54:45.513Z" } ], "ai_voice_agents": [ { "agent_id": "01KK212KJ2SWPDHZKKB5M3ZWTA", "agent_name": "Ava EN - Triage", "end_reason": "escalated", "started_at": 1778263496, "ended_at": 1778263518, "escalation_reason": "Caller wants to purchase or create a new number", "escalation_target": { "type": "branch", "destination": "Number Porting & Purchase" } } ] } }

Search Calls

Search for specific Calls depending on several Query Params like user_id, phone_number or tags. Given a call transferred between A and B phone numbers, the call will not appear when filtering by A but it will for B.

Only six months of history is available. Please contact our Support team on support.aircall.io to get a one-time export of calls. By default contact details are not added in response payload. To add the contact details in response set fetch_contact to true in query parameters.

    Query params
  • from
    String
    Set a minimal creation date for Calls (UNIX timestamp).
  • to
    String
    Set a maximal creation date for Calls (UNIX timestamp).
  • order
    String
    Reorder entries by created_at. Can be asc or desc.
    Default value is asc.
  • direction
    String
    Direction of the Calls.
    If specified, can be inbound or outbound.
  • user_id
    Integer
    Unique ID of the User who made or received Calls.
  • phone_number
    String
    The calling or receiving phone number of Calls.
  • tags
    Array
    Array of Tags IDs.
    Implemented as an AND condition: Aircall will search for Calls matching all the tags present in this array.
  • fetch_contact
    Boolean
    When set to true, adds contacts details in response.
  • fetch_short_urls
    Boolean
    When set to true, adds short urls in response.
  • fetch_call_timeline
    Boolean
    When set to true, it will return ivr_options_selected at the same level of the call
  • fetch_aiva_conv
    Boolean
    When set to true, it will return ai_voice_agents at the same level of each call

Using the pagination system, you can retrieve up to 10,000 Calls. To pass over this limit, we encourage you to use the from param as much as you can!

Request
GET /v1/calls/search
Response
Status: 200 OK { "meta": { "count": 3, "total": 2, "current_page": 1, "per_page": 20, "next_page_link": null, "previous_page_link": null }, "calls": [ { "id": 812, "sid": "CA1234567890", "direct_link": "https://api.aircall.io/v1/calls/812", "direction": "outbound", "status": "done", "missed_call_reason": null, "started_at": 1584998199, "answered_at": 1584998205, "ended_at": 1584998210, "duration": 11, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US" }, "contact": null, "archived": false, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "2.34", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [...], "tags": [...], "teams": [...], "ivr_options_selected": [...], "ai_voice_agents": [...], }, { "id": 813, "direct_link": "https://api.aircall.io/v1/calls/813", "direction": "inbound", "status": "done", "missed_call_reason": "no_available_agent", "started_at": 1584998199, "answered_at": null, "ended_at": 1584998210, "duration": 22, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": null, "contact": null, "archived": false, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "0", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [...], "tags": [...], "teams": [...], "ivr_options_selected": [...], "ai_voice_agents": [...], }, ... ] }

Transfer a Call

Calls can be transferred to another User, Team or phone number.

Transfers initiated through the API are only supported for scenarios where a call is transferred directly to a specific agent. The transfer won’t reroute to other agents if the original transfer target is unavailable. For more complex scenarios -such as those requiring multiple sequential transfers or fallback routing— we recommend using the "Ring to via API" widget within Smartflows. This widget allows for advanced routing logic and provides greater flexibility in managing call flows.

Only cold transfers are available via the Public API. Calls can be transferred to a single User, a single Team or a single external phone number:

  • To transfer a Call to another User, provide a user ID in the request's body. A call.transferred Webhook event will be sent.

If the agent to whom the call was transferred to is not available, call will be directed to the No one answers strategy: the Unanswered call message will be played.

  • To transfer a Call to a Team, provide a team ID in the request's body. A call.transferred Webhook event will be sent. When transferring a call to a team, a dispatching strategy can be specified with parameter: dispatching_strategy: The "simultaneous" strategy (default one if argument is not specified) will ring each available member simultaneously. The "random" one will ring each available member one by one. The "longest_idle" one will ring each available member one by one starting with the agent having the longest idle time.

  • To transfer an Incoming Call to an external phone number, provide a phone number in the request body. When transfer is initiated, a message will be played to the caller informing them that their call is being transferred. A call.transferred Webhook event will be sent without the transferred_to field in the payload.

Transfers to external phone numbers will only work for inbound calls that have not yet been answered.

    Path params
  • id
    Integer
    Unique identifier for the Call.
    Body params
  • user_id
    String
    Unique identifier of the User the Call will be transferred to.
  • team_id
    String
    Unique identifier of the Team the Call will be transferred to.
  • number
    String
    External phone number the Call will be transferred to.
    Format must be e164. More information in the dedicated phone numbers format section.
  • dispatching_strategy
    String
    Specify dispatching strategy on team transfer, only values 'random', 'simultaneous' and 'longest_idle' are accepted. This parameter is optional if not specified 'simultaneous' strategy is implicitly used.

Only one of user_id, team_id or number parameters are allowed for each request.

code description
204 Success.
400 Call already ended.
400 Invalid usage of dispatching strategy with user or external phone number.
400 Multiple transfer destinies set on request.
404 User or Call not found.
Request
POST /v1/calls/:id/transfers { "user_id": 456 }
Response
Status: 204 No Content

Comment a Call

Comments (also called Notes) can be added to Calls and a Call can have a maximum of five of them. After five comments added, those requests will fail with a 400 HTTP code. A comment posted via the Public API does not have an owner.

Once a Comment is posted on a Call, it cannot be updated nor deleted.

A call.commented Webhook event will be sent every time a call is commented. More info in the Webhooks section.

    Path params
  • id
    Integer
    Unique identifier for the Call.
    Body params
  • content
    String
    Content of the Comment.
    Emojis are removed from Comments.
code description
201 Success.
400 Maximum of 5 notes can be added to a Call.
Request
POST /v1/calls/:id/comments { "content": "Please call back this customer!" }
Response
Status: 201 Created

Tag a Call

Tags are created in the Dashboard by Admins and calls can be tagged by Agents from Aircall Workspace.

A call.tagged Webhook event will be sent every time a call is tagged. More info in the Webhooks section.

    Path params
  • id
    Integer
    Unique identifier for the Call.
    Body params
  • tags
    Array
    Array of Tag IDs.
code description
201 Success.
Request
POST /v1/calls/:id/tags { "tags": [545] }
Response
Status: 201 Created

Archive a Call

Sets the archived attribute of a Call to false.

A call.archived Webhook event will be sent every time a call is archived. More info in the Webhooks section.

Note: This endpoint was designed for the legacy Aircall Phone app, where archiving removed a call from the agent's "To-do" follow-up list. With the move to Aircall Workspace — which operates at the conversation level rather than the individual call level — archiving a call no longer has any effect in the app UI. Calling this endpoint only toggles the archived flag on the call record; it does not close the conversation the call belongs to. The concept of archiving a call is deprecated for Aircall Workspace users.

    Path params
  • id
    Integer
    Unique identifier for the Call.
Request
PUT /v1/calls/:id/archive
Response
Status: 200 OK { "call": { "id": 812, "sid": "CA1234567890", "direct_link": "https://api.aircall.io/v1/calls/812", "direction": "outbound", "status": "done", "missed_call_reason": null, "started_at": 1584998199, "answered_at": 1584998205, "ended_at": 1584998210, "duration": 11, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US" }, "contact": null, "archived": true, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "2.34", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [...], "tags": [...], "teams": [...] } }

Unarchive a Call

Sets the archived attribute of a Call to false.

Note: This endpoint was designed for the legacy Aircall Phone app, where unarchiving returned a call to the agent's "To-do" follow-up list. With the move to Aircall Workspace — which operates at the conversation level rather than the individual call level — unarchiving a call no longer has any effect in the app UI. Calling this endpoint only toggles the archived flag on the call record; it does not reopen the conversation the call belongs to. The concept of archiving a call is deprecated for Aircall Workspace users.

    Path params
  • id
    Integer
    Unique identifier for the Call.
Request
PUT /v1/calls/:id/unarchive
Response
Status: 200 OK { "call": { "id": 812, "sid": "CA1234567890", "direct_link": "https://api.aircall.io/v1/calls/812", "direction": "outbound", "status": "done", "missed_call_reason": null, "started_at": 1584998199, "answered_at": 1584998205, "ended_at": 1584998210, "duration": 11, "voicemail": null, "recording": null, "asset": null, "raw_digits": "+1 800-123-4567", "user": { "id": 456, "direct_link": "https://api.aircall.io/v1/users/456", "name": "John Doe", "email": "john.doe@aircall.io", "available": true, "availability_status": "available", "created_at": "2019-12-29T10:03:18.000Z", "time_zone": "America/New_York", "language": "en-US", }, "contact": null, "archived": false, "assigned_to": null, "transferred_by": null, "transferred_to": null, "cost": "2.34", "number": { "id": 1234, "direct_link": "https://api.aircall.io/v1/numbers/1234", "name": "French Office", "digits": "+33 1 76 11 11 11", "created_at": "2020-01-02T11:41:01.000Z", "country": "FR", "time_zone": "Europe/Paris", "open": true, "availability_status": "custom", "is_ivr": true, "live_recording_activated": true, "priority": null, "messages": { ... } }, "comments": [...], "tags": [...], "teams": [...] } }

Pause recording on a Call

When live recording is active on a Call, it can be automatically paused via the Public API.

    Path params
  • id
    Integer
    Unique identifier for the Call.
code description
204 Success.
400 Call has already ended.
404 Call not found.
405 Recording is disabled on the Call's number.
Request
POST /v1/calls/:id/pause_recording
Response
Status: 204 No Content

Resume recording on a Call

When live recording is active on a Call and has been paused, it can be automatically resumed via the Public API.

    Path params
  • id
    Integer
    Unique identifier for the Call.
code description
204 Success.
400 Call has already ended.
404 Call not found.
405 Recording is disabled on the Call's Number.
Request
POST /v1/calls/:id/resume_recording
Response
Status: 204 No Content

Delete Call recording

Delete the recording of a specific Call. It takes between 10 and 15 minutes to delete a call recording from our servers.

Please note the recording can take up to 24 hours to be received. If it is not present, it will not be deleted. In this case retry the deletion later.

This action cannot be undone.

Important: If your account includes AI Assist or AI Assist Pro, deleting a call recording will also permanently delete the transcription and all AI-generated insights, including summaries, topics, action items, and sentiment analysis.

Check this endpoint to delete the voicemail of a Call.

    Path params
  • id
    Integer
    Unique identifier for the Call.
Request
DELETE /v1/calls/:id/recording
Response
Status: 200 OK

Delete Call voicemail

Delete the voicemail of a specific Call. It can take up to 1 minute to delete a call voicemail from our servers.

Please note the voicemail can take up to 24 hours to be received. If it is not present, it will not be deleted. In this case retry the deletion later.

This action cannot be undone.

Check this endpoint to delete the live recording of a Call.

    Path params
  • id
    Integer
    Unique identifier for the Call.
Request
DELETE /v1/calls/:id/voicemail
Response
Status: 200 OK

Insight Cards

Insight Cards display custom data to Agents in their Aircall Workspace during ongoing Calls.

Insight cards will only be seen on ongoing calls and are not stored after Calls are over.

Three types of content can be sent in an Insight Card:

  • title is a large text. It should describe the name of a custom app.
  • shortText is a normal line in the Insight Card section.
  • user is a user card in the Insight Card section displaying the name and availability of the user.

Please note Insight Card payload size should be less than 10KB.

  More info on what Insight Cards are in our Knowledge Base.

Insight Card

    Path params
  • id
    Integer
    Unique identifier for the Call.
    Body params
  • contents
    Array
    Represents lines displayed on the Insight Card.
    Please check the following tables to see how to structure this object.
    Title
  • type
    String
    Type of line. Should be title.
    Mandatory field. Possible values are title, shortText or user (check other tables).
  • text
    String
    Text displayed in the line of the Insight Card.
    Mandatory field.
  • link
    String
    Transform the line in a link.
    Short text
  • type
    String
    Type of line. Should be shortText.
    Mandatory field. Possible values are title, shortText or user (check other tables).
  • text
    String
    Text displayed in the title field of the Insight Card.
    Mandatory field.
  • link
    String
    Transform the line in a link.
  • label
    String
    The text field can be preceded by a label if one is provided.
    User
  • type
    String
    Type of line. Should be user.
    Mandatory field. Possible values are title, shortText or user (check other tables).
  • label
    String
    The text that precedes the user card.
    Mandatory field.
  • user_id
    Integer
    The id of the user to be displayed.
    Mandatory field.
code description
201 Success.
400 Payload malformed or size greater than 10KB.
404 Call not found.
Request
POST /v1/calls/:id/insight_cards { "contents": [ { "type": "title", "text": "My Custom CRM", "link": "https://my-custom-crm.com" }, { "type": "shortText", "label": "Account ID", "text": "6789", "link": "https://my-custom-crm.com/6789" }, { "type": "shortText", "label": "Company name", "text": "Acme Inc." }, { "type": "user", "label": "Account Owner", "user_id": 12345 } ] }
Response
Status: 201 Created

Dialer Campaign

Dialer Campaign overview

Dialer Campaigns refer to the Power Dialer feature. More info on how it works in our Knowledge Base.

Dialer Campaigns are composed of one or several phone numbers.

    Attributes
  • id
    Integer
    Unique identifier for the Dialer Campaign.
  • number_id
    String
    Set if the Dialer Campaign is associated to a Number.
  • created_at
    String
    Dialer campaign's creation date, in UTC.
    Phone number attributes
  • id
    Integer
    Unique identifier for the phone number.
  • number
    String
    The actual phone number.
  • called
    Boolean
    true if the number was called by the User.
  • created_at
    String
    Phone number's creation date, in UTC.

Retrieve a Dialer Campaign

A User can have only one active Dialer Campaign.

To list all the phone numbers associated to it, please refer to the Retrieve phone numbers endpoint.

    Path params
  • user_id
    Integer
    Unique identifier for the User.
code description
404 User has no active campaign.
Request
GET /v1/users/:user_id/dialer_campaign
Response
Status: 200 OK { "id": 75555, "number_id": null, "created_at": "2020-03-21T20:20:04.000Z" }

Create a Dialer Campaign

Create an active Dialer Campaign for a User.

A User can have only one active Dialer Campaign.

    Path params
  • user_id
    Integer
    Unique identifier for the User.
    Body params
  • phone_numbers
    Array
    Array of valid phone numbers.
    Mandatory field. Must include at least one valid phone number.
code description
422 Must include at least one valid phone number.
Request
POST /v1/users/:user_id/dialer_campaign { "phone_numbers": ["+19161112222", "+18001112222"] }
Response
Status: 204 No Content

Delete a Dialer Campaign

Dialer Campaign created by Agents or via the Public API can be deleted.

Phone numbers associated to it will be destroyed as well.

    Path params
  • user_id
    Integer
    Unique identifier for the User.
code description
[...]
